import 'es6-promise/auto';
import { createStore } from 'vuex';

// le fetch POST serait rangé dans la logique du composant qui appelle AddAddress
//import { postAddress } from '... api' 

const debug = process.env.NODE_ENV !== 'production';

const store = createStore({
   strict: debug,
   state: {
      address: {},
      errorMsg: {}
   },
   getters: {
   },
   mutations: {
      addAddress(state, address) {
         console.log('@M addAddress address', address);
         state.address = address;
      }
   },
   actions: {
      addAddress({ commit }, payload) {
         console.log('@A addAddress payload', payload);
         commit('addAddress', payload); // à remplacer par 
         
         // fetch POST qui envoie l'adresse, et récupère la confirmation que c'est ok. 
         // La confirmation est l'adresse elle-même.
         //
         //   postAddress(payload) 
         //   .fetch(address => new Promise((resolve, reject) => {
         //      commit('addAddress', address);
         //      resolve();
         //   }))
         //   .catch((error) => { 
         //      state.errorMsg.push(error.message); 
         //   }); 
      }
   }
});

export { store };
