/*
* Endpoint countries GET
* method GET, get Country Object
* @returns {Promise} a promise containing all Country object
*/
const fetchCountries = () => {
   console.log('<<< fetching countries');

   const url = `/api/1.0/main/country.json`;
   return fetch(url)
      .then(response => {
         if (response.ok) { return response.json(); }
         throw Error('Error with request resource response');
      });
};

/*
* Endpoint cities GET
* TODO
*/
const fetchCities = (country) => {
   console.log('<<< fetching cities for', country);
   //TODO use country
   const url = `/api/1.0/main/postal-code.json`;
   return fetch(url)
      .then(response => {
         if (response.ok) { return response.json(); }
         throw Error('Error with request resource response');
      });
};

/*
* Endpoint chill_main_address_reference_api_show
* method GET, get AddressReference Object
* @returns {Promise} a promise containing all AddressReference object
*/
const fetchReferenceAddresses = (city) => {
    console.log('<<< fetching references addresses for', city); // city n'est pas utilisé pour le moment

    const url = `/api/1.0/main/address-reference.json`;
    return fetch(url)
       .then(response => {
          if (response.ok) { return response.json(); }
          throw Error('Error with request resource response');
       });
};

export {
   fetchCountries,
   fetchCities,
   fetchReferenceAddresses
};
