import { createI18n } from 'vue-i18n'

const datetimeFormats = {
   fr: {
      short: {
         year: "numeric",
         month: "numeric",
         day: "numeric"
      },
      text: {
         year: "numeric",
         month: "long",
         day: "numeric",
      },
      long: {
         year: "numeric",
         month: "numeric",
         day: "numeric",
         hour: "numeric",
         minute: "numeric",
         hour12: false
      }
   }
};
const messages = {
   fr: {
      action: {
         actions: "Actions",
         show: "Voir",
         edit: "Modifier",
         create: "Créer",
         remove: "Enlever",
         delete: "Supprimer",
         save: "Enregistrer",
         add: "Ajouter",
         show_modal: "Ouvrir une modale",
         ok: "OK",
         cancel: "Annuler",
         close: "Fermer",
         back: "Retour",
         check_all: "cocher tout",
         reset: "réinitialiser"
      },
      nav: {
         next: "Suivant",
         previous: "Précédent",
         top: "Haut",
         bottom: "Bas",
      }
   }
};

const _createI18n = (appMessages) => {
   Object.assign(messages.fr, appMessages.fr);
   return createI18n({
      locale: 'fr',
      fallbackLocale: 'fr',
      datetimeFormats,
      messages,
   })
};

export { _createI18n }
