<?php

namespace Chill\MainBundle\Serializer\Normalizer;

use Chill\MainBundle\Entity\Address;
use Symfony\Component\Serializer\Normalizer\NormalizerAwareInterface;
use Symfony\Component\Serializer\Normalizer\NormalizerAwareTrait;
use Symfony\Component\Serializer\Normalizer\NormalizerInterface;

class AddressNormalizer implements NormalizerAwareInterface, NormalizerInterface
{
    use NormalizerAwareTrait;

    public function normalize($address, string $format = null, array $context = [])
    {
        $data['address_id'] = $address->getId();
        $data['text'] = $address->getStreet().', '.$address->getBuildingName();
        $data['postcode']['name'] = $address->getPostCode()->getName();

        return $data;
    }

    public function supportsNormalization($data, string $format = null)
    {
        return $data instanceof Address;
    }

    
}
